/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.NotaRemision;
import com.cosmodas.EntCosmos.WcRequisicionProducto;
import com.cosmodas.EntCosmos.WcrequisicionProductopapel;

import javax.ejb.Local;
import java.util.List;


@Local
public interface WcrequisicionProductopapelFacadeLocal {

    void create(WcrequisicionProductopapel wcrequisicionProductopapel);

    void edit(WcrequisicionProductopapel wcrequisicionProductopapel);

    void remove(WcrequisicionProductopapel wcrequisicionProductopapel);

    WcrequisicionProductopapel find(Object id);

    List<WcrequisicionProductopapel> findAll();

    List<WcrequisicionProductopapel> findRange(int[] range);

    int count();

    String obtenerNuevoRemision();

    void insertarDetalleRemision(String codigoRem, Integer cantidad, String produtoCodigo, String tipo);

    void guardarRemision(NotaRemision nota);

}
